//===========================================================================
//
// Name:			pyrette_c.c
// Function:		bot for Pyrette
// Programmer:		Patrick "Slawinskirugi" Slawinski
// version:			1
// Tab Size:		4 (real tabs)
//===========================================================================

#include "chars.h"

skill 1
{
	CHARACTERISTIC_NAME							"Pyrette"
	CHARACTERISTIC_GENDER						"female"
	CHARACTERISTIC_ATTACK_SKILL					0.4
	CHARACTERISTIC_WEAPONWEIGHTS				"bots/pyrette_w.c"
	CHARACTERISTIC_AIM_SKILL					0.4
	CHARACTERISTIC_AIM_ACCURACY					0.4
	CHARACTERISTIC_VIEW_FACTOR					0.4
	CHARACTERISTIC_VIEW_MAXCHANGE				180
	CHARACTERISTIC_REACTIONTIME					5.0

	CHARACTERISTIC_CHAT_FILE					"bots/pyrette_t.c"
	CHARACTERISTIC_CHAT_NAME					"Pyrette"
	CHARACTERISTIC_CHAT_CPM						400
	CHARACTERISTIC_CHAT_INSULT					1.0
	CHARACTERISTIC_CHAT_MISC					1.0
	CHARACTERISTIC_CHAT_STARTENDLEVEL			1.0
	CHARACTERISTIC_CHAT_ENTEREXITGAME			1.0
	CHARACTERISTIC_CHAT_KILL					1.0
	CHARACTERISTIC_CHAT_DEATH					1.0
	CHARACTERISTIC_CHAT_ENEMYSUICIDE			1.0
	CHARACTERISTIC_CHAT_HITTALKING				1.0
	CHARACTERISTIC_CHAT_HITNODEATH				1.0
	CHARACTERISTIC_CHAT_HITNOKILL				1.0
	CHARACTERISTIC_CHAT_RANDOM					1.0
	CHARACTERISTIC_CHAT_REPLY					1.0

	CHARACTERISTIC_CROUCHER						0.1
	CHARACTERISTIC_JUMPER						0.1
	CHARACTERISTIC_WEAPONJUMPING				0.3
	CHARACTERISTIC_GRAPPLE_USER					0.0
	CHARACTERISTIC_WALKER						0.1

	CHARACTERISTIC_ITEMWEIGHTS					"bots/pyrette_i.c"
	CHARACTERISTIC_AGGRESSION					1.0
	CHARACTERISTIC_SELFPRESERVATION				0.0
	CHARACTERISTIC_VENGEFULNESS					0.5
	CHARACTERISTIC_CAMPER						0.0

	CHARACTERISTIC_EASY_FRAGGER					0.0
	CHARACTERISTIC_ALERTNESS					0.5
	CHARACTERISTIC_FIRETHROTTLE					0.1
}

skill 4
{
	CHARACTERISTIC_NAME							"Pyrette"
	CHARACTERISTIC_GENDER						"female"
	CHARACTERISTIC_ATTACK_SKILL					1.2
	CHARACTERISTIC_WEAPONWEIGHTS				"bots/pyrette_w.c"
	CHARACTERISTIC_AIM_SKILL					1.2
	CHARACTERISTIC_AIM_ACCURACY					1.2
	CHARACTERISTIC_VIEW_FACTOR					1.2
	CHARACTERISTIC_VIEW_MAXCHANGE				180
	CHARACTERISTIC_REACTIONTIME					2.5

	CHARACTERISTIC_CHAT_FILE					"bots/pyrette_t.c"
	CHARACTERISTIC_CHAT_NAME					"Pyrette"
	CHARACTERISTIC_CHAT_CPM						400
	CHARACTERISTIC_CHAT_INSULT					0.4
	CHARACTERISTIC_CHAT_MISC					1.0
	CHARACTERISTIC_CHAT_STARTENDLEVEL			1.0
	CHARACTERISTIC_CHAT_ENTEREXITGAME			1.0
	CHARACTERISTIC_CHAT_KILL					1.0
	CHARACTERISTIC_CHAT_DEATH					1.0
	CHARACTERISTIC_CHAT_ENEMYSUICIDE			1.0
	CHARACTERISTIC_CHAT_HITTALKING				1.0
	CHARACTERISTIC_CHAT_HITNODEATH				1.0
	CHARACTERISTIC_CHAT_HITNOKILL				1.0
	CHARACTERISTIC_CHAT_RANDOM					1.0
	CHARACTERISTIC_CHAT_REPLY					1.0

	CHARACTERISTIC_CROUCHER						0.2
	CHARACTERISTIC_JUMPER						0.3
	CHARACTERISTIC_WEAPONJUMPING				0.3
	CHARACTERISTIC_GRAPPLE_USER					0.0
	CHARACTERISTIC_WALKER						0.1

	CHARACTERISTIC_ITEMWEIGHTS					"bots/pyrette_i.c"
	CHARACTERISTIC_AGGRESSION					1.0
	CHARACTERISTIC_SELFPRESERVATION				0.0
	CHARACTERISTIC_VENGEFULNESS					1.0	
	CHARACTERISTIC_CAMPER						0.5

	CHARACTERISTIC_EASY_FRAGGER					0.0
	CHARACTERISTIC_ALERTNESS					0.7
	CHARACTERISTIC_FIRETHROTTLE					0.8
}

skill 5
{
	CHARACTERISTIC_NAME							"Pyrette"
	CHARACTERISTIC_GENDER						"female"
	CHARACTERISTIC_ATTACK_SKILL					2.0
	CHARACTERISTIC_WEAPONWEIGHTS				"bots/pyrette_w.c"
	CHARACTERISTIC_AIM_SKILL					2.5
	CHARACTERISTIC_AIM_ACCURACY					2.5
	CHARACTERISTIC_VIEW_FACTOR					2.5
	CHARACTERISTIC_VIEW_MAXCHANGE				360
	CHARACTERISTIC_REACTIONTIME					0.0

	CHARACTERISTIC_CHAT_FILE					"bots/pyrette_t.c"
	CHARACTERISTIC_CHAT_NAME					"Pyrette"
	CHARACTERISTIC_CHAT_CPM						400
	CHARACTERISTIC_CHAT_INSULT					0.4
	CHARACTERISTIC_CHAT_MISC					1.0
	CHARACTERISTIC_CHAT_STARTENDLEVEL			1.0
	CHARACTERISTIC_CHAT_ENTEREXITGAME			1.0
	CHARACTERISTIC_CHAT_KILL					1.0
	CHARACTERISTIC_CHAT_DEATH					1.0
	CHARACTERISTIC_CHAT_ENEMYSUICIDE			1.0
	CHARACTERISTIC_CHAT_HITTALKING				1.0
	CHARACTERISTIC_CHAT_HITNODEATH				1.0
	CHARACTERISTIC_CHAT_HITNOKILL				1.0
	CHARACTERISTIC_CHAT_RANDOM					1.0
	CHARACTERISTIC_CHAT_REPLY					1.0

	CHARACTERISTIC_CROUCHER						0.1
	CHARACTERISTIC_JUMPER						1.0
	CHARACTERISTIC_WEAPONJUMPING				1.0
	CHARACTERISTIC_GRAPPLE_USER					0.0

	CHARACTERISTIC_ITEMWEIGHTS					"bots/pyrette_i.c"
	CHARACTERISTIC_AGGRESSION					1.0
	CHARACTERISTIC_SELFPRESERVATION				0.0
	CHARACTERISTIC_VENGEFULNESS					1.0
	CHARACTERISTIC_CAMPER						1.0

	CHARACTERISTIC_EASY_FRAGGER					1.0
	CHARACTERISTIC_ALERTNESS					1.0
	CHARACTERISTIC_FIRETHROTTLE					1.0
}
