//===========================================================================
//
// Name:			pyrette_i.c
// Function:		bot file for Pyrette
// Programmer:		Patrick "Slawinskirugi" Slawinski
// Last update:		6/21/2000
// Tab Size:		4 (real tabs)
//===========================================================================

#include "inv.h"

//initial health/armor states
#define FS_HEALTH				2
#define FS_ARMOR				3

//initial weapon weights
#define W_SHOTGUN				250
#define W_MACHINEGUN			10
#define W_GRENADELAUNCHER		400
#define W_ROCKETLAUNCHER		500
#define W_RAILGUN				10
#define W_BFG10K				250
#define W_LIGHTNING			50
#define W_PLASMAGUN			100

//the bot has the weapons, so the weights change a little bit
#define GWW_SHOTGUN			200
#define GWW_MACHINEGUN			100
#define GWW_GRENADELAUNCHER		400
#define GWW_ROCKETLAUNCHER		400
#define GWW_RAILGUN			100
#define GWW_BFG10K			300
#define GWW_LIGHTNING			100
#define GWW_PLASMAGUN			100

//initial powerup weights
#define W_TELEPORTER			10
#define W_MEDKIT				100
#define W_QUAD				400
#define W_ENVIRO				400
#define W_HASTE				150
#define W_INVISIBILITY			200
#define W_REGEN				100
#define W_FLIGHT				10

//flag weight
#define FLAG_WEIGHT			150

//
#include "fw_items.c"

